#include "WSEditorPlugin.h"

#include <godot_cpp/variant/utility_functions.hpp>

using namespace godot;

namespace
{
    const char* kCustomToolMenuItemName = "Custom Tool Menu Item";
}

void WSEditorPlugin::_bind_methods()
{

}

WSEditorPlugin::WSEditorPlugin()
{
    add_tool_menu_item(kCustomToolMenuItemName, callable_mp(this, &WSEditorPlugin::OnClickCustomToolMenuItem));
}

WSEditorPlugin::~WSEditorPlugin()
{
    remove_tool_menu_item(kCustomToolMenuItemName);
}

void WSEditorPlugin::OnClickCustomToolMenuItem()
{
    UtilityFunctions::print("Custom tool menu item clicked!");
}